Three lines

Uber

Developers

Details

GEThttps://api.uber.com/maps/beta/details
Use Case

The Details endpoint returns a location referenced by an identifier. Details can be used to hydrate location details given location identifier as returned from Autocomplete, FullTextSearch, and Geocode endpoints.

Authorization

OAuth 2.0 Bearer token with the maps-apis scope.

Request Parameters
Name Type Description Required?
id string The reference or identifier of the place to lookup. Yes
locale string The preferred language of the response. For example, the string “en-US”. This should follow the BCP47 standards. No
Example Request
 curl -X GET \
  -H "authorization: Bearer $UBER_TOKEN" \
  -H 'content-type: application/json' \
  https://$api_url/maps/beta/details?locale=en&id=u01:01:39c69a59-d4d5-6c3c-5841-67a8c27fe3f6 | jq .
Response body parameters
Name Type Description Required?
entity.id string The unique identifier for the suggested location Yes
entity.location object The location data for the place Yes
entity.location.name string The name of the suggested location No
entity.location.address string The full address for the suggested location Yes
entity.location.locale string The locale used for the response Yes
entity.location.categories string The list of categories the place belong to (i.e. Restaurant) No
entity.location.coordinate object The physical location for the place Yes
entity.location.address_components array The list of single components for the address Yes

For an overview of available address components, refer to Address Components

For an overview of available categories, refer to Categories

Status-code: 200 OK

{
  "entity": {
    "id": "u01:01:39c69a59-d4d5-6c3c-5841-67a8c27fe3f6",
    "location": {
      "address": "Via Ernesto Murolo 7, 00145 Rome",
      "locale": "en-US",
      "categories": [
        "street_address",
        "addressPoint"
      ],
      "coordinate": {
        "latitude": 41.850871,
        "longitude": 12.4838982
      },
      "address_components": [
        {
          "name": "7",
          "type": "HOUSE_NUMBER"
        },
        {
          "name": "Via Ernesto Murolo",
          "type": "STREET_NAME"
        },
        {
          "name": "00145",
          "abbreviation": "00145",
          "type": "POSTAL_CODE"
        },
        {
          "name": "IT",
          "type": "COUNTRY"
        },
        {
          "name": "12",
          "type": "FEDERATED_STATE"
        },
        {
          "name": "Roma",
          "type": "CITY"
        }
      ]
    }
  }
}

Uber

Developers
© 2026 Uber Technologies Inc.